<?php
/**
 * Plugin Messages (addon for plugin Adm_redacteurs)
 * Version  : 1.4 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<?php include ADMR_VIEWS_PATH.'/fragments/add_block_confirm_message_view.php'; ?>

<?php if (empty($params['id'])) : // Envoyer ?>
<form action="<?php echo $form_url; ?>" method="post">
<?php include ADMR_VIEWS_PATH.'/fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['send']; ?>" type="submit"><?php echo $lang['label_button']['send']; ?></button></p>
<?php include ADMR_VIEWS_PATH.'/fragments/add_input_author_view.php'; ?>
<?php elseif (empty($_POST) && $params['author_id'] != $writer_rights['id']) : // Répondre ?>
<p class="submitTop"><a href="<?php echo $answer_uri; ?>"><button title="<?php echo $lang['label_button']['send']; ?>" type="button"><?php echo $lang['label_button']['answer']; ?></button></a></p>
<?php endif; ?>

<fieldset id="admr_message_content">
<legend><?php echo ucfirst($lang['message']); ?></legend>
    <p>
    <?php echo ucfirst($lang['message_author']); ?>&nbsp;:&nbsp;<em><?php echo (!empty($params['id'])) ? $msg_author['name'] : $writer_rights['name']; ?></em>
    </p>
    <p>
    <label><?php echo ucfirst($lang['message_receiver']); ?>&nbsp;:&nbsp;
    <select name="params[receiver_id]"<?php echo !empty($params['id']) ? ' disabled="disabled"' : ''; ?>>
    <?php if (!ADMR_IS_ADMIN || !empty($params['id'])) : ?>
        <optgroup label="<?php echo $lang['administrator']; ?>">
        <option value="0"<?php echo (0 == $receiver_id) ? ' selected="selected"' : ''?>><?php echo $config['user'][0]; ?></option>
        </optgroup>
        <optgroup label="<?php echo $lang['writers']; ?>">
    <?php endif; ?>
    <?php foreach($writers as $writer) : ?>
    <option value="<?php echo $writer['id']; ?>"<?php echo ($writer['id'] == $receiver_id) ? ' selected="selected"' : ''?>><?php echo $writer['name']; ?></option>
    <?php endforeach; ?>
    <?php if (!ADMR_IS_ADMIN) : ?>
        </optgroup>
    <?php endif; ?>    
    </select>
    </label>
    <?php echo !empty($errors['title']) ? $errors['title'] : '' ?>
    </p>
    <p>
    <label><?php echo ucfirst($lang['message_title']); ?>&nbsp;:&nbsp;
    <input
     data-validation="required"
     data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['title_required'], ENT_QUOTES, 'UTF-8'); ?>"
     placeholder="Veuillez mettre un titre"
     class="texte"
     type="text"
     name="params[title]"
     size="70"
     value="<?php echo htmlspecialchars($params['title'], ENT_QUOTES, 'UTF-8'); ?>"
     <?php echo !empty($params['id']) ? ' readonly="readonly"' : ''; ?>
     />
    </label>
    <?php echo !empty($errors['title']) ? $errors['title'] : '' ?>
    </p>
    <div>
    <label for="params[contents]"><?php echo ucfirst($lang['message_contents']); ?>&nbsp;:&nbsp;</label>
    <textarea id="params[contents]" name="params[contents]" rows="8" cols="60" placeholder="<?php echo $lang['click_here_to_add_content']; ?>"<?php echo !empty($params['id']) ? ' disabled="disabled"' : ''; ?>><?php echo htmlspecialchars($params['contents'], ENT_QUOTES, 'UTF-8'); ?></textarea>
    <?php  //Editor_helper :: display_editor('params[contents]', $this -> _params['contents'], array('writer_rights' => $writer_rights, 'height' => '200px', 'toolbar' => ADMR_IS_ADMIN ? 'Guppy_in' : 'basic')); ?>
    <?php  Editor_helper :: display_editor('params[contents]', $this -> _params['contents'], array('writer_rights' => $writer_rights, 'customConfig' => str_replace(CHEMIN, ADMR_SITE_URL, MESSAGES_CKEDITOR_CONFIG_PATH), 'height' => '200px', 'toolbar' => ADMR_IS_ADMIN ? 'admin' : 'writer')); ?>
    </div>
</fieldset>
<?php if (empty($params['id'])) : // Envoyer ?>
<p><button title="<?php echo $lang['label_button']['send']; ?>" type="submit"><?php echo $lang['label_button']['send']; ?></button></p>
</form>
<?php elseif (empty($_POST) && $params['author_id'] != $writer_rights['id']) : // Répondre ?>
<p><a href="<?php echo $answer_uri; ?>"><button title="<?php echo $lang['label_button']['send']; ?>" type="button"><?php echo $lang['label_button']['answer']; ?></button></a></p>
<?php endif; ?>